Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Debian User (http://www.linux-archive.org/debian-user/)
-   -   problems installing openoffice.org in etch (http://www.linux-archive.org/debian-user/91026-problems-installing-openoffice-org-etch.html)

Marcelo Chiapparini 05-19-2008 02:57 PM

problems installing openoffice.org in etch
 
Hello,

I am running the amd64 port of etch. I want to install openoffice.org
from debian repository. But when I run aptitude, I get several unmet
dependencies with the following packages


libstlport4.6c2
libservlet2.3-java
libxt-java
libmdbtools
libportaudio0

which inhibit the installation. Apparently, these packages exits in the
database, but there is not any avalilable version for them... Below is
the outpout of aptitude. Any help will be very appreciated! Thank you.


marcelo@nostromo2:~$ sudo aptitude install openoffice.org
Reading package lists... Done
Building dependency tree... Done
Reading extended state information
Initializing package states... Done
Reading task descriptions... Done
Building tag database... Done
The following packages are BROKEN:
libhsqldb-java openoffice.org-base openoffice.org-calc
openoffice.org-core openoffice.org-draw openoffice.org-impress
openoffice.org-java-common openoffice.org-math openoffice.org-writer
python-uno

The following NEW packages will be automatically installed:
openoffice.org-common
The following NEW packages will be installed:
openoffice.org openoffice.org-common
0 packages upgraded, 12 newly installed, 0 to remove and 0 not upgraded.
Need to get 86.8MB of archives. After unpacking 230MB will be used.
The following packages have unmet dependencies:
openoffice.org-draw: Depends: libstlport4.6c2 but it is not installable
openoffice.org-impress: Depends: libstlport4.6c2 but it is not
installable

libhsqldb-java: Depends: libservlet2.3-java which is a virtual package.
openoffice.org-math: Depends: libstlport4.6c2 but it is not installable
openoffice.org-writer: Depends: libstlport4.6c2 but it is not installable
openoffice.org-java-common: Depends: libxt-java (>= 0.20050823) which
is a virtual package.

python-uno: Depends: libstlport4.6c2 but it is not installable
openoffice.org-base: Depends: libmdbtools but it is not installable
Depends: libstlport4.6c2 but it is not installable
openoffice.org-calc: Depends: libstlport4.6c2 but it is not installable
openoffice.org-core: Depends: libportaudio0 but it is not installable
Depends: libstlport4.6c2 but it is not installable
Resolving dependencies...
The following actions will resolve these dependencies:

Keep the following packages at their current version:
libhsqldb-java [Not Installed]
openoffice.org [Not Installed]
openoffice.org-base [Not Installed]
openoffice.org-calc [Not Installed]
openoffice.org-core [Not Installed]
openoffice.org-draw [Not Installed]
openoffice.org-impress [Not Installed]
openoffice.org-java-common [Not Installed]
openoffice.org-math [Not Installed]
openoffice.org-writer [Not Installed]
python-uno [Not Installed]



--
Marcelo Chiapparini


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Marcelo Chiapparini 05-19-2008 05:02 PM

problems installing openoffice.org in etch
 
Samuel Bächler wrote:



Reading task descriptions... Done Building tag database... Done The
following packages are BROKEN: libhsqldb-java openoffice.org-base
openoffice.org-calc openoffice.org-core openoffice.org-draw
openoffice.org-impress openoffice.org-java-common openoffice.org-math
openoffice.org-writer python-uno


Try to uninstall all the broken packages by typing something like
'aptitude remove --purge <package>'.

Then try again 'aptitude install openoffice'.



Thank you very much for the advice. However, I am still having the same
problem: 'aptitude remove --purge <package>' does not fix the problem.
The problem with the unmet dependencies


libstlport4.6c2
libservlet2.3-java
libxt-java
libmdbtools
libportaudio0

continues.

Regards,

Marcelo

--
Marcelo Chiapparini


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Florian Kulzer 05-19-2008 05:18 PM

problems installing openoffice.org in etch
 
On Mon, May 19, 2008 at 14:02:44 -0300, Marcelo Chiapparini wrote:
> Samuel Bächler wrote:
>>
>>> Reading task descriptions... Done Building tag database... Done The
>>> following packages are BROKEN: libhsqldb-java openoffice.org-base
>>> openoffice.org-calc openoffice.org-core openoffice.org-draw
>>> openoffice.org-impress openoffice.org-java-common openoffice.org-math
>>> openoffice.org-writer python-uno
>>
>> Try to uninstall all the broken packages by typing something like
>> 'aptitude remove --purge <package>'.
>>
>> Then try again 'aptitude install openoffice'.
>>
>
> Thank you very much for the advice. However, I am still having the same
> problem: 'aptitude remove --purge <package>' does not fix the problem.
> The problem with the unmet dependencies
>
> libstlport4.6c2
> libservlet2.3-java
> libxt-java
> libmdbtools
> libportaudio0
>
> continues.

Please check the output of:

apt-cache policy libstlport4.6c2

aptitude install -sD libstlport4.6c2

These two commands should tell you if apt can find any version of
libstlport4.6c2 at all (it should list version 4.6.2-3) and, if any
version is known, why it cannot be installed.

--
Regards, | http://users.icfo.es/Florian.Kulzer
Florian |


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Samuel Bächler 05-19-2008 05:51 PM

problems installing openoffice.org in etch
 
Reading task descriptions... Done Building tag database... Done The
following packages are BROKEN: libhsqldb-java openoffice.org-base
openoffice.org-calc openoffice.org-core openoffice.org-draw
openoffice.org-impress openoffice.org-java-common openoffice.org-math
openoffice.org-writer python-uno


Try to uninstall all the broken packages by typing something like
'aptitude remove --purge <package>'.

Then try again 'aptitude install openoffice'.

Maybe this will help.

Cheers

Sam



--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Marcelo Chiapparini 05-19-2008 06:01 PM

problems installing openoffice.org in etch
 
Florian Kulzer wrote:

On Mon, May 19, 2008 at 14:02:44 -0300, Marcelo Chiapparini wrote:

Samuel Bächler wrote:

Reading task descriptions... Done Building tag database... Done The
following packages are BROKEN: libhsqldb-java openoffice.org-base
openoffice.org-calc openoffice.org-core openoffice.org-draw
openoffice.org-impress openoffice.org-java-common openoffice.org-math
openoffice.org-writer python-uno

Try to uninstall all the broken packages by typing something like
'aptitude remove --purge <package>'.

Then try again 'aptitude install openoffice'.

Thank you very much for the advice. However, I am still having the same
problem: 'aptitude remove --purge <package>' does not fix the problem.
The problem with the unmet dependencies


libstlport4.6c2
libservlet2.3-java
libxt-java
libmdbtools
libportaudio0

continues.


Please check the output of:

apt-cache policy libstlport4.6c2

aptitude install -sD libstlport4.6c2

These two commands should tell you if apt can find any version of
libstlport4.6c2 at all (it should list version 4.6.2-3) and, if any
version is known, why it cannot be installed.



Florian, thank you very much for the help. The output of these two
commands are:


marcelo@nostromo2:~$ apt-cache policy libstlport4.6c2
libstlport4.6c2:
Installed: (none)
Candidate: (none)
Version table:
4.6.2-3 0
100 /var/lib/dpkg/status

marcelo@nostromo2:~$ aptitude install -sD libstlport4.6c2
Reading package lists... Done
Building dependency tree... Done
Reading extended state information
Initializing package states... Done
Reading task descriptions... Done
Building tag database... Done
No candidate version found for libstlport4.6c2
No packages will be installed, upgraded, or removed.
0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B of archives. After unpacking 0B will be used.
Would download/install/remove packages.

It seems that apt can't find any candidate to install?

--
Marcelo Chiapparini


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Florian Kulzer 05-19-2008 06:51 PM

problems installing openoffice.org in etch
 
On Mon, May 19, 2008 at 15:01:49 -0300, Marcelo Chiapparini wrote:
> Florian Kulzer wrote:
>> On Mon, May 19, 2008 at 14:02:44 -0300, Marcelo Chiapparini wrote:
>>> Samuel Bächler wrote:
>>>>> Reading task descriptions... Done Building tag database... Done The
>>>>> following packages are BROKEN: libhsqldb-java openoffice.org-base
>>>>> openoffice.org-calc openoffice.org-core openoffice.org-draw
>>>>> openoffice.org-impress openoffice.org-java-common openoffice.org-math
>>>>> openoffice.org-writer python-uno
>>>> Try to uninstall all the broken packages by typing something like
>>>> 'aptitude remove --purge <package>'.
>>>>
>>>> Then try again 'aptitude install openoffice'.
>>>>
>>> Thank you very much for the advice. However, I am still having the
>>> same problem: 'aptitude remove --purge <package>' does not fix the
>>> problem. The problem with the unmet dependencies
>>>
>>> libstlport4.6c2
>>> libservlet2.3-java
>>> libxt-java
>>> libmdbtools
>>> libportaudio0
>>>
>>> continues.
>>
>> Please check the output of:
>>
>> apt-cache policy libstlport4.6c2

[...]

> marcelo@nostromo2:~$ apt-cache policy libstlport4.6c2
> libstlport4.6c2:
> Installed: (none)
> Candidate: (none)
> Version table:
> 4.6.2-3 0
> 100 /var/lib/dpkg/status

Which mirror are you using? This package is in stable/main, so you
should see it unless there is something wrong with the mirror or your
/etc/sources.list.

--
Regards, | http://users.icfo.es/Florian.Kulzer
Florian |


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Samuel Bächler 05-19-2008 07:31 PM

problems installing openoffice.org in etch
 
>> Reading task descriptions... Done Building tag database... Done
>> The following packages are BROKEN: libhsqldb-java
>> openoffice.org-base openoffice.org-calc openoffice.org-core
>> openoffice.org-draw openoffice.org-impress
>> openoffice.org-java-common openoffice.org-math
>> openoffice.org-writer python-uno
>
> Try to uninstall all the broken packages by typing something like
> 'aptitude remove --purge <package>'.
>
> Then try again 'aptitude install openoffice'.
>

Thank you very much for the advice. However, I am still having the
same problem: 'aptitude remove --purge <package>' does not fix the
problem. The problem with the unmet dependencies

libstlport4.6c2
libxt-java
libmdbtools
libportaudio0


Maybe there are some mirrors missing in your /etc/apt/sources.list file.
And read also http://www.debian.org/doc/manuals/apt-howto/.

s.



--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Marcelo Chiapparini 05-19-2008 07:38 PM

problems installing openoffice.org in etch
 
Florian Kulzer wrote:

On Mon, May 19, 2008 at 15:01:49 -0300, Marcelo Chiapparini wrote:

Florian Kulzer wrote:

On Mon, May 19, 2008 at 14:02:44 -0300, Marcelo Chiapparini wrote:

Samuel Bächler wrote:

Reading task descriptions... Done Building tag database... Done The
following packages are BROKEN: libhsqldb-java openoffice.org-base
openoffice.org-calc openoffice.org-core openoffice.org-draw
openoffice.org-impress openoffice.org-java-common openoffice.org-math
openoffice.org-writer python-uno

Try to uninstall all the broken packages by typing something like
'aptitude remove --purge <package>'.

Then try again 'aptitude install openoffice'.

Thank you very much for the advice. However, I am still having the
same problem: 'aptitude remove --purge <package>' does not fix the
problem. The problem with the unmet dependencies


libstlport4.6c2
libservlet2.3-java
libxt-java
libmdbtools
libportaudio0

continues.

Please check the output of:

apt-cache policy libstlport4.6c2


[...]


marcelo@nostromo2:~$ apt-cache policy libstlport4.6c2
libstlport4.6c2:
Installed: (none)
Candidate: (none)
Version table:
4.6.2-3 0
100 /var/lib/dpkg/status


Which mirror are you using? This package is in stable/main, so you
should see it unless there is something wrong with the mirror or your
/etc/sources.list.



Hi! follows a copy of my /etc/apt/sources.list file. Just in case, I am
using the amd64 port of etch...


deb http://http.us.debian.org/debian etch main contrib non-free
deb http://security.debian.org/ etch/updates main contrib non-free
deb http://www.debian-multimedia.org etch main
deb-src http://security.debian.org/ etch/updates main contrib non-free
# Backports
deb http://www.backports.org/debian etch-backports main contrib non-free
# Skype
# deb http://download.skype.com/linux/repos/debian/ stable non-free

# Uncomment if you want the apt-get source function to work
# deb-src http://http.us.debian.org/debian/ etch main non-free contrib
# deb-src http://security.debian.org/ etch/updates main contrib non-free

# Debian ftp repository
# deb http://ftp.debian.org/debian/ etch main
# deb http://ftp.debian.org/debian/ etch main non-free contrib


--
Marcelo Chiapparini


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Florian Kulzer 05-19-2008 08:07 PM

problems installing openoffice.org in etch
 
On Mon, May 19, 2008 at 16:38:13 -0300, Marcelo Chiapparini wrote:
> Florian Kulzer wrote:
>> On Mon, May 19, 2008 at 15:01:49 -0300, Marcelo Chiapparini wrote:
>>> Florian Kulzer wrote:
>>>> On Mon, May 19, 2008 at 14:02:44 -0300, Marcelo Chiapparini wrote:

[...]

>>>>> Thank you very much for the advice. However, I am still having
>>>>> the same problem: 'aptitude remove --purge <package>' does not
>>>>> fix the problem. The problem with the unmet dependencies
>>>>>
>>>>> libstlport4.6c2
>>>>> libservlet2.3-java
>>>>> libxt-java
>>>>> libmdbtools
>>>>> libportaudio0
>>>>>
>>>>> continues.
>>>> Please check the output of:
>>>>
>>>> apt-cache policy libstlport4.6c2
>>
>> [...]
>>
>>> marcelo@nostromo2:~$ apt-cache policy libstlport4.6c2
>>> libstlport4.6c2:
>>> Installed: (none)
>>> Candidate: (none)
>>> Version table:
>>> 4.6.2-3 0
>>> 100 /var/lib/dpkg/status
>>
>> Which mirror are you using? This package is in stable/main, so you
>> should see it unless there is something wrong with the mirror or your
>> /etc/sources.list.
>>
>
> Hi! follows a copy of my /etc/apt/sources.list file. Just in case, I am
> using the amd64 port of etch...
>
> deb http://http.us.debian.org/debian etch main contrib non-free

That should work; this mirror has the .deb file right here:
http://http.us.debian.org/debian/pool/main/s/stlport4.6/libstlport4.6c2_4.6.2-3_amd64.deb

What happens if you run "aptitude update"? Are there any error messages?

--
Regards, | http://users.icfo.es/Florian.Kulzer
Florian |


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Marcelo Chiapparini 05-19-2008 08:56 PM

problems installing openoffice.org in etch
 
Florian Kulzer wrote:

On Mon, May 19, 2008 at 16:38:13 -0300, Marcelo Chiapparini wrote:

Florian Kulzer wrote:

On Mon, May 19, 2008 at 15:01:49 -0300, Marcelo Chiapparini wrote:

Florian Kulzer wrote:

On Mon, May 19, 2008 at 14:02:44 -0300, Marcelo Chiapparini wrote:


[...]

Thank you very much for the advice. However, I am still having
the same problem: 'aptitude remove --purge <package>' does not
fix the problem. The problem with the unmet dependencies


libstlport4.6c2
libservlet2.3-java
libxt-java
libmdbtools
libportaudio0

continues.

Please check the output of:

apt-cache policy libstlport4.6c2

[...]


marcelo@nostromo2:~$ apt-cache policy libstlport4.6c2
libstlport4.6c2:
Installed: (none)
Candidate: (none)
Version table:
4.6.2-3 0
100 /var/lib/dpkg/status

Which mirror are you using? This package is in stable/main, so you
should see it unless there is something wrong with the mirror or your
/etc/sources.list.

Hi! follows a copy of my /etc/apt/sources.list file. Just in case, I am
using the amd64 port of etch...


deb http://http.us.debian.org/debian etch main contrib non-free


That should work; this mirror has the .deb file right here:
http://http.us.debian.org/debian/pool/main/s/stlport4.6/libstlport4.6c2_4.6.2-3_amd64.deb

What happens if you run "aptitude update"? Are there any error messages?



Here it is, no error messages:

marcelo@nostromo2:~$ sudo aptitude update
Get:1 http://http.us.debian.org etch Release.gpg [378B]
Get:2 http://www.debian-multimedia.org etch Release.gpg [189B]
Hit http://http.us.debian.org etch Release
Get:3 http://www.debian-multimedia.org etch Release [9434B]
Get:4 http://security.debian.org etch/updates Release.gpg [189B]
Get:5 http://www.backports.org etch-backports Release.gpg [189B]
Ign http://http.us.debian.org etch/main Packages/DiffIndex
Hit http://security.debian.org etch/updates Release
Ign http://http.us.debian.org etch/contrib Packages/DiffIndex
Ign http://http.us.debian.org etch/non-free Packages/DiffIndex
Hit http://www.backports.org etch-backports Release
Ign http://security.debian.org etch/updates/main Packages/DiffIndex
Hit http://www.debian-multimedia.org etch/main Packages/DiffIndex
Hit http://http.us.debian.org etch/main Packages
Ign http://security.debian.org etch/updates/contrib Packages/DiffIndex
Ign http://security.debian.org etch/updates/non-free Packages/DiffIndex
Hit http://www.backports.org etch-backports/main Packages/DiffIndex
Hit http://http.us.debian.org etch/contrib Packages
Ign http://security.debian.org etch/updates/main Sources/DiffIndex
Ign http://security.debian.org etch/updates/contrib Sources/DiffIndex
Ign http://security.debian.org etch/updates/non-free Sources/DiffIndex
Hit http://security.debian.org etch/updates/main Packages
Hit http://www.backports.org etch-backports/contrib Packages/DiffIndex
Hit http://www.backports.org etch-backports/non-free Packages/DiffIndex
Hit http://http.us.debian.org etch/non-free Packages
Hit http://security.debian.org etch/updates/contrib Packages
Hit http://www.backports.org etch-backports/non-free Packages
Hit http://security.debian.org etch/updates/non-free Packages
Hit http://security.debian.org etch/updates/main Sources
Hit http://security.debian.org etch/updates/contrib Sources
Hit http://security.debian.org etch/updates/non-free Sources
Fetched 9438B in 3s (2707B/s)
Reading package lists... Done


thank you!

--
Marcelo Chiapparini


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org


All times are GMT. The time now is 01:31 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.